<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       ibenic.com
 * @since      1.0.0
 *
 * @package    rpt_wc
 * @subpackage rpt_wc/admin/partials
 */
global $product_object;

if( ! $product_object ) {
	return;
}

$rpt_prices = rpt_WC_Meta::get( $product_object->get_id() );
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wc-rpt-metabox">
	<table id="rpt_table" class="wc-rpt-table" cellspacing="0" cellpadding="0">

		<thead>
			<?php do_action( 'rpt_wc_table_th_start' ); ?>
			<th>
				<?php _e( 'Date', 'rpt-wc' ); ?>
			</th>
			<th>
				<?php _e( 'Price Change', 'rpt-wc' );?> <?php echo ' (' . get_woocommerce_currency_symbol() . ')'; ?>
			</th>
			<?php do_action( 'rpt_wc_table_th_end' ); ?>
			<th class="rpt-delete-column"></th>
		</thead>
		<tbody>
			<?php 
			$count = 0;
			if( $rpt_prices ) {
				
				foreach ( $rpt_prices as $date => $prices ) {
					?>
					<tr>
						<?php do_action( 'rpt_wc_table_td_start', $count ); ?>
						<td class="rpt-date-column">
							<input name="rpt_wc[<?php echo $count; ?>][date]" class="widefat datepicker" value="<?php echo $date; ?>">
						</td>
						<td class="rpt-price-column">
							<input name="rpt_wc[<?php echo $count; ?>][price]" class="widefat" value="<?php echo $prices; ?>">
						</td>
						<?php do_action( 'rpt_wc_table_td_end', $count ); ?>
						<td class="rpt-delete-column" align="center">
							<button type="button" class="button button-default button-small rpt-delete">X</buton>
						</td>
					</tr>
					<?php
					$count++;
				}
			} else {
			?>
			<tr>
				<?php do_action( 'rpt_wc_table_td_start', 0 ); ?>
				<td class="rpt-date-column">
					<input name="rpt_wc[0][date]" class="widefat datepicker">
				</td>
				<td class="rpt-price-column">
					<input name="rpt_wc[0][price]" class="widefat">
				</td>
				<?php do_action( 'rpt_wc_table_td_end', 0 ); ?>
				<td class="rpt-delete-column" align="center">
					<button type="button" class="button button-default button-small rpt-delete">X</buton>
				</td>
			</tr>
			<?php } ?>
		</tbod>
	</table>
 
	<button type="button" id="rpt_add_row" class="button button-default"><?php _e( 'Add Time Point', 'rpt-wc' ); ?></button>
	
	<script type="text/html" id="tmpl-rpt_table_row_template">
		<tr>
			<?php do_action( 'rpt_wc_table_td_template_start' ); ?>
			<td class="rpt-date-column">
				<input name="rpt_wc[{{data.length}}][date]" class="widefat datepicker">
			</td>
			<td class="rpt-price-column">
				<input name="rpt_wc[{{data.length}}][price]" class="widefat">
			</td>
			<?php do_action( 'rpt_wc_table_td_template_end' ); ?>
			<td class="rpt-delete-column" align="center">
				<button type="button" class="button button-default button-small rpt-delete">X</buton>
			</td>
		</tr>
	</script>
</div>
