<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://www.ibenic.com
 * @since             1.0.0
 * @package           Raise_Prices_With_Time_For_Woocommmerce
 *
 * @wordpress-plugin
 * Plugin Name:       Change Prices with Time for WooCommerce
 * Plugin URI:        https://wordpress.org/plugins/change-prices-with-time-for-woocommerce/
 * Description:       Increase the Product Price with Time and build scarcity
 * Version:           1.0.0
 * Author:            Igor Benić
 * Author URI:        http://www.ibenic.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       rpt-wc
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-raise-prices-with-time-for-woocommmerce-activator.php
 */
function activate_raise_prices_with_time_for_woocommmerce() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-raise-prices-with-time-for-woocommmerce-activator.php';
	Raise_Prices_With_Time_For_Woocommmerce_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-raise-prices-with-time-for-woocommmerce-deactivator.php
 */
function deactivate_raise_prices_with_time_for_woocommmerce() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-raise-prices-with-time-for-woocommmerce-deactivator.php';
	Raise_Prices_With_Time_For_Woocommmerce_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_raise_prices_with_time_for_woocommmerce' );
register_deactivation_hook( __FILE__, 'deactivate_raise_prices_with_time_for_woocommmerce' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-raise-prices-with-time-for-woocommmerce.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_raise_prices_with_time_for_woocommmerce() {

	$plugin = new Raise_Prices_With_Time_For_Woocommmerce();
	$plugin->run();

}
run_raise_prices_with_time_for_woocommmerce();
